Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class AdditionalLocator

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.AdditionalLocator

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AdditionalLocator

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Additional Locator', and utility methods for working with them. specDomain: V10651 (C-0-D10642-V10651-cpt)

See Also:
  `CDAR2Package.getAdditionalLocator()`

Field Summary
`static int` | `ADL` The 'ADL' literal value.
`static AdditionalLocator` | `ADL_LITERAL` The 'ADL' literal object.
`static int` | `UNID` The 'UNID' literal value.
`static AdditionalLocator` | `UNID_LITERAL` The 'UNID' literal object.
`static int` | `UNIT` The 'UNIT' literal value.
`static AdditionalLocator` | `UNIT_LITERAL` The 'UNIT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Additional Locator' enumerators.

Method Summary
`static AdditionalLocator` | `get(int value)` Returns the 'Additional Locator' literal with the specified integer value.
`static AdditionalLocator` | `get(java.lang.String literal)` Returns the 'Additional Locator' literal with the specified literal value.
`static AdditionalLocator` | `getByName(java.lang.String name)` Returns the 'Additional Locator' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADL

    public static final int ADL

  The 'ADL' literal value.

  If the meaning of 'ADL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADL_LITERAL`, Constant Field Values

### UNID

    public static final int UNID

  The 'UNID' literal value.

  If the meaning of 'UNID' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNID_LITERAL`, Constant Field Values

### UNIT

    public static final int UNIT

  The 'UNIT' literal value.

  If the meaning of 'UNIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNIT_LITERAL`, Constant Field Values

### ADL_LITERAL

    public static final AdditionalLocator ADL_LITERAL

  The 'ADL' literal object.

  See Also:
    `ADL`

### UNID_LITERAL

    public static final AdditionalLocator UNID_LITERAL

  The 'UNID' literal object.

  See Also:
    `UNID`

### UNIT_LITERAL

    public static final AdditionalLocator UNIT_LITERAL

  The 'UNIT' literal object.

  See Also:
    `UNIT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Additional Locator' enumerators.

Method Detail

### get

    public static AdditionalLocator get(java.lang.String literal)

  Returns the 'Additional Locator' literal with the specified literal value.

### getByName

    public static AdditionalLocator getByName(java.lang.String name)

  Returns the 'Additional Locator' literal with the specified name.

### get

    public static AdditionalLocator get(int value)

  Returns the 'Additional Locator' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD